@echo off
setlocal EnableDelayedExpansion

set "file=Versions.txt"
set "newLine=Mode=LabStation"

rem 创建一个新的临时文件
set "tempFile=%temp%\%~n0.tmp"

rem 写入一个空行到临时文件作为第一行
echo(> "%tempFile%"

rem 初始化行号
set /a "lineNum=0"

rem 读取原文件，并复制前两行到临时文件，如果存在的话
for /f "delims=" %%a in ('type "%file%"') do (
    set /a "lineNum+=1"
    if !lineNum! LEQ 2 (
        echo(%%a>> "%tempFile%"
    )
)

rem 如果原始文件少于两行，添加必要的空行
if %lineNum% LSS 2 (
    for /l %%i in (%lineNum%,1,2) do echo(>> "%tempFile%"
)

rem 添加"LabStation"到第四行
echo(%newLine%>> "%tempFile%"

rem 用临时文件替换原始文件
move /y "%tempFile%" "%file%" >nul



endlocal
